Summary: An iTunes-compatible media server
Name: mt-daapd
Version: 0.2.4.1
Release: 6%{?dist}
License: GPLv2+
Group: Applications/Multimedia
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: mt-daapd-0.2.4.1-fedora.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://www.fireflymediaserver.org/
BuildRequires: gdbm-devel, avahi-devel, libogg-devel, libvorbis-devel, zlib-devel, libid3tag-devel
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service
Requires(post): /sbin/chkconfig

%description
The purpose of this project is built the best server software to serve
digital music to the Roku Soundbridge and iTunes; to be able to serve
the widest variety of digital music content over the widest range of
devices.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-avahi --enable-oggvorbis
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_localstatedir}/cache/mt-daapd
install contrib/mt-daapd %{buildroot}%{_sysconfdir}/rc.d/init.d/mt-daapd
install -m 0640 contrib/mt-daapd.conf %{buildroot}%{_sysconfdir}/mt-daapd.conf
install -m 0644 contrib/mt-daapd.playlist %{buildroot}%{_sysconfdir}/mt-daapd.playlist

%preun
if [ $1 = 0 ]; then
        /sbin/service mt-daapd stop >/dev/null 2>&1
	/sbin/chkconfig --del mt-daapd
fi

%post
/sbin/chkconfig --add mt-daapd

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service mt-daapd condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mt-daapd.conf
%config(noreplace) %{_sysconfdir}/mt-daapd.playlist
%{_initrddir}/mt-daapd
%{_sbindir}/mt-daapd
%{_datadir}/mt-daapd
%{_localstatedir}/cache/mt-daapd
%doc AUTHORS COPYING CREDITS INSTALL NEWS README TODO

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.4.1-6
- Autorebuild for GCC 4.3

* Mon Dec 24 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4.1-5
   - Change license to GPLv2+.
   - Add requires(post) chkconfig.
   - Change permissions of mt-daapd.playlist.
   - Patch so that service is not enabled by default.

* Thu Dec 20 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4.1-4
   - Build with --enable-avahi to avoid Apache / GPL license mix.
   - Build with Vorbis support.
   - Change BuildRequires accordingly.

* Sat Dec 15 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4.1-3
   - Fix versions in changelog.
   - Use %%config(noreplace) for config files.   
   - Change group to Applications/Multimedia.
   - Don't chkconfig on.
   - Install mt-daapd.conf chmod 0640.
   - Set proper license.

* Thu Dec 13 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4.1-2
   - BuildRequire zlib-devel, which is required for libid3tag-devel.

* Mon Dec 10 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4.1-1
   - New upstream verion.

* Sat Jul 21 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4-3
   - Own /usr/share/mt-daapd.

* Sun Jul 15 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4-2
   - Use directory macros.
   - Don't use %%makeinstall.
   - use cp -P.

* Sat Jul 14 2007 W. Michael Petullo <mike[at]flyn.org> - 0.2.4-1
   - Initial Fedora RPM release candidate.
